MultiLockFairBlockingQueue.ItemFuture (Apache Tomcat 9.0.22 API Documentation)

org.apache.tomcat.jdbc.pool

## Class MultiLockFairBlockingQueue.ItemFuture<T>

- java.lang.Object
- - org.apache.tomcat.jdbc.pool.MultiLockFairBlockingQueue.ItemFuture<T>

- All Implemented Interfaces:
    java.util.concurrent.Future<T>
  Enclosing class:
    MultiLockFairBlockingQueue<E>

      protected class MultiLockFairBlockingQueue.ItemFuture<T>
      extends java.lang.Object
      implements java.util.concurrent.Future<T>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `canceled`
    `protected T` | `item`
    `protected MultiLockFairBlockingQueue.ExchangeCountDownLatch<T>` | `latch`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ItemFuture(MultiLockFairBlockingQueue.ExchangeCountDownLatch<T> latch)`
    `ItemFuture(T item)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `T` | `get()`
    `T` | `get(long timeout, java.util.concurrent.TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### item

          protected volatile T item

    - #### latch

          protected volatile MultiLockFairBlockingQueue.ExchangeCountDownLatch<T> latch

    - #### canceled

          protected volatile boolean canceled

  - ### Constructor Detail

    - #### ItemFuture

          public ItemFuture(T item)

    - #### ItemFuture

          public ItemFuture(MultiLockFairBlockingQueue.ExchangeCountDownLatch<T> latch)

  - ### Method Detail

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `java.util.concurrent.Future<T>`

    - #### get

          public T get()
                throws java.lang.InterruptedException,
                       java.util.concurrent.ExecutionException

      Specified by:
        `get` in interface `java.util.concurrent.Future<T>`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`

    - #### get

          public T get(long timeout,
                       java.util.concurrent.TimeUnit unit)
                throws java.lang.InterruptedException,
                       java.util.concurrent.ExecutionException,
                       java.util.concurrent.TimeoutException

      Specified by:
        `get` in interface `java.util.concurrent.Future<T>`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`
        `java.util.concurrent.TimeoutException`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `java.util.concurrent.Future<T>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `java.util.concurrent.Future<T>`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.